# Enum Class BarAlgorithm.Orientation

java.lang.Object
java.lang.Enum<BarAlgorithm.Orientation>
com.treemap.BarAlgorithm.Orientation

All Implemented Interfaces:
  `Serializable, Comparable<BarAlgorithm.Orientation>, Constable`

Enclosing class:
  `BarAlgorithm<N,Row,Column,Color,Font>`

public static enum BarAlgorithm.Orientation extends Enum<BarAlgorithm.Orientation>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Horizontal`
  `Vertical`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BarAlgorithm.Orientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BarAlgorithm.Orientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Vertical

    public static final BarAlgorithm.Orientation Vertical

  - ### Horizontal

    public static final BarAlgorithm.Orientation Horizontal

- ## Method Details

  - ### values

    public static BarAlgorithm.Orientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BarAlgorithm.Orientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null